Released docs. You are viewing the documentation published with v0.46.0. Development docs are available at Latest.
Receive a Casework review completion
const url = 'https://example.com/v1/review-completions';const options = { method: 'POST', headers: { 'Registry-Recipient-Binding': 'example', 'Idempotency-Key': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"completedAt":"2026-04-15T12:00:00Z","eventId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","requestId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","resultId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","type":"review.completed"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/review-completions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --header 'Registry-Recipient-Binding: example' \ --data '{ "completedAt": "2026-04-15T12:00:00Z", "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "requestId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "resultId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "type": "review.completed" }'Available when a review authority configures a completion token and recipient binding.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Must equal eventId.
Request Bodyrequired
Section titled “Request Bodyrequired”object
Responses
Section titled “Responses”Completion accepted or already recorded.
The completion or idempotency binding is invalid.
The completion authority could not be authenticated.
The request is not application/json.
The completion could not be durably recorded.
Cookies on Registry Stack
We use optional cookies to understand how you use the main Registry Stack website and this documentation. If you contact us, we may link this activity to your enquiry. You can change your choice at any time. Read the privacy policy.
Your browser asks sites not to track you, so optional tracking stays off.
We could not use or save that choice. Optional tracking remains off.